PHP Manual
Prev |  | Next

# SCA::getService

(no version information, might be only in CVS)

SCA::getService -- Obtain a proxy for a service

## Description

mixed SCA::getService ( string target )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Examine the target and initialise and return a proxy of the appropriate sort. If the target is for a local PHP component the returned proxy will be an SCA_LocalProxy. If the target is for a WSDL file, the returned proxy will be a SCA_SoapProxy.

## Parameters

`target`

  An absolute or relative path to the PHP component, or to the WSDL file. A relative path, if specified, is resolved relative to the location of the script issuing the getService call, and not against the include_path or current working directory.

## Return Values

The SCA_LocalProxy or SCA_SoapProxy.

Prev | Home | Next
SCA::createDataObject | Up | SDO Functions